Skip to content
Judgment Labs
Esc
↑↓navigate↵open⌘Jpreview

Get a scheduled task

Get one scheduled task, including the saved instructions used for future runs, its schedule, and its Slack delivery.

GET/v1/projects/{projectId}/scheduled-tasks/{taskId}
Authorization
AuthorizationPersonal API key · headerrequired

Your personal API key from Settings > Personal API Keys, sent as Bearer <key>.

X-Organization-IdOrganization ID · headerrequired

The organization to act in. Copy it with Copy organization ID in the organization menu or the settings sidebar.

Path parameters
projectIdstringrequired
taskIdstringrequired

The ID of the scheduled task.

matches ^[A-Za-z0-9_-]+$
Responses
200

Response for status 200

taskobjectrequired
Show properties
idstringrequired
kindstringrequired
Allowed:customsystem
is_defaultbooleanrequired
namestringrequired
descriptionstring | nullrequired
instructionsstring | nullrequired
modestringrequired
Allowed:fastdeep_research
tool_permission_modestringrequired
Allowed:auto_require_permissionalways_accept
created_bystring | nullrequired
created_atstringrequired
updated_atstringrequired
scheduleobject | nullrequired
Show properties
Any of:
object
enabledbooleanrequired
cadenceobject | nullrequired
Show properties
Any of:
object
Any of:
object
modestring
frequencystringrequired
Allowed:dailyweekly
dayOfWeekinteger
min 0 · max 6
daysOfWeekinteger[]
hourintegerrequired
min 0 · max 23
minuteintegerrequired
min 0 · max 59
object
modestringrequired
everyintegerrequired
min 15 · max 1440
unitstringrequired
object
modestringrequired
everyintegerrequired
min 1 · max 24
unitstringrequired
object
modestringrequired
cronExpressionstringrequired
matches ^\S+\s+\S+\s+\S+\s+\S+\s+\S+$
null
null
timezonestringrequired
sync_errorstring | nullrequired
null
null
slack_channel_idsstring[]required
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.judgmentlabs.ai/v1/projects/YOUR_PROJECT_ID/scheduled-tasks/YOUR_TASK_ID' \
  -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'X-Organization-Id: YOUR_ORGANIZATION_ID' \
  -H 'Accept: application/json'
Response
{
  "task": {
    "id": "string",
    "kind": "custom",
    "is_default": true,
    "name": "string",
    "description": "string",
    "instructions": "string",
    "mode": "fast",
    "tool_permission_mode": "auto_require_permission",
    "created_by": "string",
    "created_at": "string",
    "updated_at": "string",
    "schedule": {
      "enabled": true,
      "cadence": {
        "mode": "calendar",
        "frequency": "daily",
        "dayOfWeek": 0,
        "daysOfWeek": [
          0
        ],
        "hour": 0,
        "minute": 0
      },
      "timezone": "string",
      "sync_error": "string"
    },
    "slack_channel_ids": [
      "string"
    ]
  }
}

Was this page helpful?